Subject: set_task_perms()

From: Judy Anderson <[email-masked]>
Date: Sun, 12 Jan 1992 08:28:10 -0800

Currently, you get an error if you do set_task_persm() to a non-player
object.  I think that this is wrong, and it should be possible to set
perms to a non-player object.

It is relatively simple for a verb to be running with non-player perms
(simply by removing the player flag of someone who wrote a verb).  A
lot of core verbs start out with set_task_perms(caller_perms()).

This would also trivially solve the lambdamoo puppet problem, which
sets player to the puppet object (and since even core more verbs start
out with set_task_perms(player), this actually comes up in practice.
"Take" is the most common puppet lossage.  (Now, you can argue that
the way Gary_Severn (well, Dukas, actually) did puppets is wrong or
abuseful, but I think it was rather clever, and should work.)

Is there any reason that set_task_perms shouldn't work for any object,
valid or not?  I presume you can also have a verb running with
someone's recycled perms, although we didn't actually test this (it
being less destructive to set_player_flag on a test object than it is
to recycle that test object, and me having fear-of-large-numbers
leading to hating recycling...)

yduJ (Judy Anderson)        [email-masked]      'yduJ' rhymes with 'fudge'
   Join the League for Programming Freedom, [email-masked]